package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.Properties;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public abstract class AMessageParser {
	final protected Logger logger = LogManager.getRootLogger();

	private String topic;
	protected DataObjectQueue queue;
	protected Properties config;
	
	public AMessageParser(String topic, Properties config, DataObjectQueue queue) {
		this.topic = topic;
		this.config = config;
		this.queue = queue;
	}
	
	public String getTopic() {
		return this.topic;
	}
	
	abstract public void execute(LocalDateTime timestamp, String msgPayload);
}
